Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Reviews
  • Introduction
  • Anonym Customers
    • create
      POST
    • update
      PATCH
  • Calendars
    • calendar
      GET
  • Customer Types
    • index
      GET
  • Customers
    • create
      POST
    • destroy
      DELETE
    • show
      GET
    • update
      PATCH
    • history
      GET
    • in blacklist
      PATCH
    • index
      POST
    • out blacklist
      PATCH
    • reports
      GET
    • reservations
      POST
    • search
      GET
    • sitting search
      POST
  • Daily Notes
    • daily note
      POST
    • show
      GET
  • Dashboard
    • daily report
      GET
    • summary report
      GET
    • weekly report
      GET
  • Events
    • create
    • index
    • destroy
    • update
  • Health Checks
    • live
  • Off Days
    • calendar
    • create
    • index
    • destroy
    • Update
  • Organizations
    • add_favorite
    • index
    • add_favorite
  • Reasons
    • index
  • References
    • create
    • index
    • show
    • update
  • Reports
    • mobile reports
    • web reports
  • Reservation Notifications
    • create
    • sms
  • Reservation Payments
    • change-status
    • create
    • update
    • reactivate
  • Reservation Requests
    • approve
    • count
    • create
    • history
    • index
    • reject
    • update
  • Reservations
    • batch check out
    • cancel
    • check duplicate
    • check in
    • check out
    • confirm
    • create
    • index
    • delay
    • delayed calendars
    • group by day
    • history
    • rollback
    • show
    • undo check in
    • upcoming reservations
    • update
    • view list
  • Revenue Centers
    • create
    • index
    • destroy
    • show
    • update
    • insert
  • Reviews
    • index
      POST
    • show
      GET
  • Search
    • Customers
    • Reservations
    • Integration
  • Slots
    • capacities
    • create
    • index
    • destroy
    • update
  • Stores
    • add favorite
    • remove favorite
    • index
    • show
    • update
  • Table Plan Objects
    • create
    • index
    • destroy
    • update
    • objects
  • Tables
    • assign
    • available-capacities
    • available-for-assign
    • discharge
    • index
    • layout
    • next-reservations
    • reservations
    • reset
    • revoke
    • rollback
    • save
    • sitting-reservations
    • split
    • status
  • Tags
    • index
  • Users
    • create
    • index
    • current-user
    • destroy
    • show
    • update
    • user-check
  • Extensions
    • index
  • License
    • index
    • store_license
  • Wallets
    • create
    • destroy
    • index
    • set_default
  1. Reviews

index

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
POST
/api/v1/reviews
1.
The path for the xlsx report must be /api/v1/customers/list.xlsx
2.
The path for the csv report must be /api/v1/customers/list.csv
3.
The path for the pdf report must be /api/v1/customers/list.pdf

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
API Key
Add parameter in header
EMPLOYEE_TOKEN
Example:
EMPLOYEE_TOKEN: ********************
API Key
Add parameter in header
STORE_PIN_CODE
Example:
STORE_PIN_CODE: ********************
API Key
Add parameter in header
SLUG_NAME
Example:
SLUG_NAME: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
successful
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.checkandplace.com/api/v1/reviews' \
--header 'Authorization: <api-key>' \
--header 'EMPLOYEE_TOKEN: <api-key>' \
--header 'STORE_PIN_CODE: <api-key>' \
--header 'SLUG_NAME: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "revenue_center_id": "3b274567-7234-4972-bc6c-e8795c241942",
    "customer": "string",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "customer_type_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "status": "unread",
    "score": 0,
    "start_at": "2024-05-06 12:00",
    "end_at": "2024-05-06 12:00",
    "emails": [
        "string"
    ],
    "page": 1,
    "per_page": 50,
    "order_by": "string",
    "order_direction": "string"
}'
Response Response Example
{
    "reviews": [
        {
            "id": "1c52e197-4a35-464d-a696-d7fb0b5a6991",
            "status": "read",
            "platform": "checkandplace",
            "created_at": "06.05.2025 18:00",
            "calendar_date": "06.05.2025 18:00",
            "feedback": "Example feedback",
            "score": 4,
            "food": 3,
            "service": 4,
            "setting": 2,
            "customer_name": "Big Jhonny",
            "customer_id": "44d24b18-d276-4cb5-bb3b-9b19721cdfeb",
            "revenue_center_name": "Restaurant"
        }
    ],
    "page_information": {
        "has_next_page": true,
        "current_page": 1,
        "total_count": 84,
        "page_count": 2
    },
    "averages": {
        "score": 4.2,
        "food": 4.1,
        "service": 3.9,
        "setting": 3.8
    }
}
Modified at 2026-03-09 18:33:58
Previous
insert
Next
show
Built with